Subject: bug#5607: 23.1; compile error regexps for perl test scripts, mark 2

From: Chong Yidong <[email-masked]>
Date: Sun, 02 Dec 2012 14:11:17 +0800

Kevin Ryde <[email-masked]> writes:

> I eventually got around to revisiting the compile error regexps I made
> for perl test scripts in my compilation-perl.el.
>
> I was misguided about the "NOK" business of the perl--Test::Harness one
> that's now in emacs.  I believe the three symbols perl--Test,
> perl--Test2 and perl--Test::Harness can be replaced by the two simpler
> bits of compile.el.perl.fragment below.  compilation.txt fragment below
> too, to replace the two sections "* Perl Test module error messages" and
> "* Perl Test::Harness output".

Sorry for the very late response.

With your patch, the following line from the old compile.txt is no
longer correctly highlighted:

# Test 6 got: "xx" (foo.t at line 33 fail #2)

Is that a valid compilation message?